- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GSmtp::ServerProtocolText Class Reference

A default implementation for the ServerProtocol::Text interface. More...

`#include <gserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocolText:

## Public Member Functions
| ServerProtocolText (const std::string &ident, const std::string &thishost, const GNet::Address &peer_address, const std::string &peer_socket_name)
| Constructor. More...
virtual std::string | greeting () const
| Final override from GSmtp::ServerProtocol::Text. More...
virtual std::string | hello (const std::string &smtp_peer_name_from_helo) const
| Final override from GSmtp::ServerProtocol::Text. More...
virtual std::string | received (const std::string &smtp_peer_name_from_helo) const
| Final override from GSmtp::ServerProtocol::Text. More...
Public Member Functions inherited from GSmtp::ServerProtocol::Text
virtual | ~Text ()

## Static Public Member Functions
static std::string | receivedLine (const std::string &smtp_peer_name_from_helo, const std::string &peer_address, const std::string &peer_socket_name, const std::string &thishost)
| Returns a standard "Received:" line. More...

## Detailed Description

A default implementation for the ServerProtocol::Text interface.

Definition at line 274 of file gserverprotocol.h.

## Constructor & Destructor Documentation

GSmtp::ServerProtocolText::ServerProtocolText | ( | const std::string & | ident,
|  | const std::string & | thishost,
|  | const GNet::Address & | peer_address,
|  | const std::string & | peer_socket_name
| ) |  |

Constructor.

Definition at line 831 of file gserverprotocol.cpp.

## Member Function Documentation

std::string GSmtp::ServerProtocolText::greeting | ( |  | ) | const
| virtual

Final override from GSmtp::ServerProtocol::Text.

Implements GSmtp::ServerProtocol::Text.

Definition at line 840 of file gserverprotocol.cpp.

std::string GSmtp::ServerProtocolText::hello | ( | const std::string & | smtp_peer_name_from_helo | ) | const
| virtual

Final override from GSmtp::ServerProtocol::Text.

Implements GSmtp::ServerProtocol::Text.

Definition at line 845 of file gserverprotocol.cpp.

std::string GSmtp::ServerProtocolText::received | ( | const std::string & | smtp_peer_name_from_helo | ) | const
| virtual

Final override from GSmtp::ServerProtocol::Text.

Implements GSmtp::ServerProtocol::Text.

Definition at line 850 of file gserverprotocol.cpp.

std::string GSmtp::ServerProtocolText::receivedLine | ( | const std::string & | smtp_peer_name_from_helo,
|  | const std::string & | peer_address,
|  | const std::string & | peer_socket_name,
|  | const std::string & | thishost
| ) |  |
| static

Returns a standard "Received:" line.

Definition at line 865 of file gserverprotocol.cpp.

References G::Time::hhmmss(), G::DateTime::local(), G::Date::monthday(), G::Date::monthName(), G::DateTime::now(), G::DateTime::offset(), G::DateTime::offsetString(), G::Date::weekdayName(), and G::Date::yyyy().

The documentation for this class was generated from the following files:

- gserverprotocol.h
- gserverprotocol.cpp